<?xml version="1.0"?>
<project
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
	xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.huatek.frame</groupId>
		<artifactId>frame-base</artifactId>
		<version>1.0</version>
	</parent>
	<artifactId>frame-base-serviceImpl</artifactId>
	<packaging>war</packaging>
	<name>frame-base-serviceImpl Maven Webapp</name>
	<profiles>
		<profile>
			<id>dev</id>
			<properties>
				<profiles.activation>dev</profiles.activation>
			</properties>
			<activation>
				<!--默认为dev环境打包方式 -->
				<activeByDefault>true</activeByDefault>
			</activation>
		</profile>
		<profile>
			<id>test</id>
			<properties>
				<profiles.activation>test</profiles.activation>
			</properties>
		</profile>
	</profiles>
	<dependencies>
		<dependency>
			<groupId>com.huatek.frame</groupId>
			<artifactId>frame-base-service</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.huatek.frame</groupId>
			<artifactId>frame-base-model</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.huatek.frame</groupId>
			<artifactId>frame-base-common</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>org.codehaus.jackson</groupId>
			<artifactId>jackson-mapper-asl</artifactId>
			<version>1.9.13</version>
		</dependency>
		<dependency>
			<groupId>cn.hutool</groupId>
			<artifactId>hutool-all</artifactId>
			<version>4.5.10</version>
		</dependency>
		<!-- <dependency> <groupId>org.springframework.amqp</groupId> <artifactId>spring-rabbit</artifactId> 
			<version>1.6.0.RELEASE</version> </dependency> -->
	</dependencies>
	<build>
		<finalName>frame-base-serviceImpl</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.7.0</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
		</plugins>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<includes>
					<include>**/*.properties</include>
					<include>**/*.xml</include>
				</includes>
				<filtering>false</filtering>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<includes>
					<include>**/*.properties</include>
					<include>**/*.xml</include>
				</includes>
				<filtering>false</filtering>
			</resource>			
			<resource>
				<directory>src/main/resources/${profiles.activation}</directory>
			</resource>
		</resources>
	</build>
</project>